import type { MediaSessionApiActionHandler, MediaSessionApiMetadata } from '../../types';
import type { IStore } from '../../store';
export declare class MediaSessionApi {
    private subscription;
    private readonly logger;
    private readonly log;
    constructor();
    isSupported(): boolean;
    setMetaData({ title, artist, thumbUrl }: MediaSessionApiMetadata): void;
    updateActionHandlers(actionHandlers: MediaSessionApiActionHandler[]): void;
    private resetActionHandlers;
    private setActionHandlers;
    attachToStore(store?: IStore): void;
    clearSubscriptions(): void;
    destroy(): void;
}
